OpenVDB 12.1.0

Loading...
Searching...
No Matches
MeshToVoxelEdgeData::GenEdgeData Class Reference

`#include <openvdb/tools/MeshToVolume.h>`

## Public Member Functions
| GenEdgeData (const std::vector< Vec3s > &pointList, const std::vector< Vec4I > &polygonList)
void | run (bool threaded=true)
| GenEdgeData (GenEdgeData &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (GenEdgeData &rhs)
TreeType & | tree ()

## Constructor & Destructor Documentation

## ◆ GenEdgeData() [1/2]

GenEdgeData | ( | const std::vector< Vec3s > & | pointList,
|  | const std::vector< Vec4I > & | polygonList )
| inline

## ◆ GenEdgeData() [2/2]

GenEdgeData | ( | GenEdgeData & | rhs,
|  | tbb::split | )
| inline

## Member Function Documentation

## ◆ join()

void join | ( | GenEdgeData & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## ◆ run()

void run | ( | bool | threaded = true | ) |
| inline

## ◆ tree()

TreeType & tree | ( |  | ) |
| inline